Index: ram/execkey.s
===================================================================
--- ram/execkey.s	(revision f40a3096572fd1b0696a7f7c717464e68652e655)
+++ ram/execkey.s	(revision a6f5b952e80b43751c6e71c39b103f7d314f8e4e)
@@ -1432,67 +1432,67 @@
 		add.l	#_ptoftab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F02L114
-*
-*	case SM_KVEL:
-*		tsrcval = veltab[trg];
-*
+
+|	case SM_KVEL:
+|		tsrcval = veltab[trg];
+
 F02L120:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_veltab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F02L114
-*
-*	case SM_KPRS:
-*		tsrcval = prstab[trg];
-*
+
+|	case SM_KPRS:
+|		tsrcval = prstab[trg];
+
 F02L121:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_prstab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F02L114
-*
-*	default:
-*		tsrcval = vep->val;
-*
+
+|	default:
+|		tsrcval = vep->val;
+
 F02L122:	move.l	VEP(A6),A0
 		move	8(A0),TSRCVAL(A6)
-*
-*	}
-*
-		.page
-*
-*		srcval = addpch(tsrcval, 0);
-*
+
+|	}
+
+		.page
+
+|		srcval = addpch(tsrcval, 0);
+
 F02L114:	move.w	TSRCVAL(A6),D0
 		ext.l	D0
 		asr.l	#5,D0
-*		sub.l	#500,D0
+|		sub.l	#500,D0
 		asl.l	#LSPCH,D0
 		cmp.l	#PITCHMAX,D0
 		ble	F02L129A
-*
+
 		move.l	#PITCHMAX,D0
-*
+
 F02L129A:	move	D0,SRCVAL(A6)
-*
-		.page
-*
-*	if (pt->ipvsrc) {
-*
+
+		.page
+
+|	if (pt->ipvsrc) {
+
 F02L124:	move.l	PT(A6),A0
 		tst.b	6(A0)
 		beq	F02L136
-*
-*		switch (pt->ipvsrc) {
-*
+
+|		switch (pt->ipvsrc) {
+
 		move.l	PT(A6),A0
 		move.b	6(A0),D0
@@ -1501,13 +1501,13 @@
 		cmp	#9,D0
 		bhi	F02L144
-*
+
 		asl	#2,D0
 		lea	F02L145,A0
 		move.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*		case SM_RAND:
-*			ltmp = xgetran(pt_>ipvmlt);
-*
+
+|		case SM_RAND:
+|			ltmp = xgetran(pt_>ipvmlt);
+
 F02L139:	move.l	PT(A6),A0
 		move	4(A0),(sp)
@@ -1515,24 +1515,24 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F02L137
-*
-*		case SM_PTCH:
-*			ltmp = pch;
-*
+
+|		case SM_PTCH:
+|			ltmp = pch;
+
 F02L140:	move	PCH(A6),A0
 		move.l	A0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F02L137
-*
-		.page
-*
-*		case SM_FREQ:
-*			ltmp = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|		case SM_FREQ:
+|			ltmp = ptoftab[(pch >> 7) & 0x00FF];
+
 F02L141:	move	PCH(A6),D0
 		asr	#7,D0
@@ -1544,12 +1544,12 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F02L137
-*
-*		case SM_KVEL:
-*			ltmp = veltab[trg];
-*
+
+|		case SM_KVEL:
+|			ltmp = veltab[trg];
+
 F02L142:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -1558,14 +1558,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F02L137
-*
-		.page
-*
-*		case SM_KPRS:
-*			ltmp = prstab[trg];
-*
+
+		.page
+
+|		case SM_KPRS:
+|			ltmp = prstab[trg];
+
 F02L143:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -1574,14 +1574,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F02L137
-*
-		.page
-*
-*		default:
-*			ltmp = valents[group | pt->ipvsrc].val;
-*
+
+		.page
+
+|		default:
+|			ltmp = valents[group | pt->ipvsrc].val;
+
 F02L144:	move.l	PT(A6),A0
 		clr.l	D0
@@ -1597,12 +1597,12 @@
 		move	8(A0,A1.l),D0
 		move.l	D0,LTMP(A6)
-*
-*		}
-*
-*
-		.page
-*
-*		ltmp = (ltmp * pt->ipvmlt) >> 15;
-*
+
+|		}
+
+
+		.page
+
+|		ltmp = (ltmp | pt->ipvmlt) >> 15;
+
 F02L137:	move.l	PT(A6),A0
 		move.w	4(A0),D0
@@ -1612,52 +1612,52 @@
 		asr.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		ltmp += (long)pt->ipval;
-*
+
+|		ltmp += (long)pt->ipval;
+
 		move.l	PT(A6),A0
 		move	2(A0),D0
 		ext.l	D0
 		add.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F02L146
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F02L147
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F02L146:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F02L147
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		tfpval = (short)ltmp;
-*
+
+|		tfpval = (short)ltmp;
+
 F02L147:	move.w	LTMP+2(A6),TFPVAL(A6)
 		bra	F02L149
-*
-*	} else {
-*
-*		tfpval = pt->ipval;
-*
+
+|	} else {
+
+|		tfpval = pt->ipval;
+
 F02L136:	move.l	PT(A6),A0
 		move	2(A0),TFPVAL(A6)
-*
-*	}
-*
-		.page
-*
-*	fpmant = (((long)pt->iptom & 0x0000FFF0L)
-*		* ((long)timemlt & 0x0000FFFFL)) >> 15;
-*
+
+|	}
+
+		.page
+
+|	fpmant = (((long)pt->iptom & 0x0000FFF0L)
+|		| ((long)timemlt & 0x0000FFFFL)) >> 15;
+
 F02L149:	move.l	PT(A6),A0
 		move.w	(A0),D0
 		move.w	D0,D2
-		andi.w	#$FFF0,D0
+		andi.w	#0xFFF0,D0
 		move.w	_timemlt,D1
 		muls	D1,D0
@@ -1665,22 +1665,22 @@
 		asr.l	D1,D0
 		move	D0,R_FPMANT
-*
-*	fpexp = expbit[pt->iptim & 0x000F];
-*
-		and	#$000F,D2
+
+|	fpexp = expbit[pt->iptim & 0x000F];
+
+		and	#0x000F,D2
 		move	D2,A0
 		add.l	A0,A0
 		add.l	#_expbit,A0
 		move	(A0),R_FPEXP
-*
-		.page
-*
-*		fp->idfpch = ip->idhos3v;
-*
+
+		.page
+
+|		fp->idfpch = ip->idhos3v;
+
 F02L156:	move.l	IP(A6),A0
 		move.w	82(A0),(A_FP)
-*
-*		fpval = addpch(tfpval, fp->idfpch);
-*
+
+|		fpval = addpch(tfpval, fp->idfpch);
+
 		move.w	TFPVAL(A6),D1
 		ext.l	D1
@@ -1693,117 +1693,117 @@
 		cmp.l	#PITCHMAX,D0
 		ble	F02L156A
-*
+
 		move.l	#PITCHMAX,D0
-*
+
 F02L156A:	move	D0,R_FPVAL
-*
-		.page
-*
+
+		.page
+
 		move.b	5(A_FP),D0
 		ext.w	D0
 		sub.w	#1,D0
 		movea.l	PT(A6),A0
-*
-*	oldi = setipl(FPU_DI);
-*
+
+|	oldi = setipl(FPU_DI);
+
 		move	sr,OLDI(A6)
 		move	#FPU_DI,sr
-*
+
 F02L168:	clr.b	10(A0)
 		add.l	#12,a0
 		dbra	D0,F02L168
-*
-		.page
-*
-*	fp->idftmd ^= I_NVBITS;
-*
+
+		.page
+
+|	fp->idftmd ^= I_NVBITS;
+
 F02L165:	eor.b	#24,7(A_FP)
-*
-*	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
-*
+
+|	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
+
 		move.b	7(A_FP),R_FPCTL
 		and	#28,R_FPCTL
 		or	#3,R_FPCTL
-*
-*	fp->idfcpt = fp->idfpt1;
-*
+
+|	fp->idfcpt = fp->idfpt1;
+
 		move.b	6(A_FP),8(A_FP)
-*
-*	fp->idftmd |= I_ACTIVE;
-*
+
+|	fp->idftmd |= I_ACTIVE;
+
 		or.b	#2,7(A_FP)
-*
-*	fp->idftrf = trg;
-*
+
+|	fp->idftrf = trg;
+
 		move	TRG(A6),10(A_FP)
-*
-*	*(fpu + (long)FPU_TCV1) = srcval;
-*
-		move	SRCVAL(A6),$8(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TCV1) = srcval;
+
+		move	SRCVAL(A6),0x8(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TSF1) = mltval;
-*
-		move	MLTVAL(A6),$A(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TSF1) = mltval;
+
+		move	MLTVAL(A6),0xA(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TMNT) = fpmant;
-*
-		move	R_FPMANT,$14(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TMNT) = fpmant;
+
+		move	R_FPMANT,0x14(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TEXP) = fpexp;
-*
-		move	R_FPEXP,$16(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TEXP) = fpexp;
+
+		move	R_FPEXP,0x16(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-		.page
-*
-*	if (fp->idftmd & I_VNSUBN)
-*
+
+		.page
+
+|	if (fp->idftmd & I_VNSUBN)
+
 		btst	#3,7(A_FP)
 		beq	F02L169
-*
-*		*(fpu + (long)FPU_TNV1) = fpval;
-*
-		move	R_FPVAL,$1C(A_FPU)
+
+|		|(fpu + (long)FPU_TNV1) = fpval;
+
+		move	R_FPVAL,0x1C(A_FPU)
 		bra	F02L170
-*
-*	else
-*		*(fpu + (long)FPU_TNV0) = fpval;
-*
+
+|	else
+|		|(fpu + (long)FPU_TNV0) = fpval;
+
 F02L169:	move	R_FPVAL,2(A_FPU)
-*
-*	++octype;
-*
+
+|	++octype;
+
 F02L170:	add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TCTL) = fpctl;
-*
+
+|	|(fpu + (long)FPU_TCTL) = fpctl;
+
 		move	R_FPCTL,(A_FPU)
-*
-*	setipl(oldi);
-*
+
+|	setipl(oldi);
+
 		move	OLDI(A6),sr
-*
-		.page
-* ------------------------------------------------------------------------------
-* Start function 3 -- Frq 4
-* ------------------------------------------------------------------------------
-*
-*    if (ip->idhfnc[3].idftmd & I_TM_KEY) {
-*
+
+		.page
+| ------------------------------------------------------------------------------
+| Start function 3 -- Frq 4
+| ------------------------------------------------------------------------------
+
+|    if (ip->idhfnc[3].idftmd & I_TM_KEY) {
+
 FN03:		move.l	IP(A6),A0
 		move.b	129(A0),D0
@@ -1812,29 +1812,29 @@
 		btst	#0,D0
 		bne	FN03A
-*
+
 		jmp	FN04
-*
-*	vp = (vce << 4) + 7;
-*
+
+|	vp = (vce << 4) + 7;
+
 FN03A:		move	VCE(A6),D0
 		asl	#4,D0
 		add.w	#7,D0
 		move	D0,VP(A6)
-*
-*	fpu = io_fpu + FPU_OFNC + (vp << 4);
-*
+
+|	fpu = io_fpu + FPU_OFNC + (vp << 4);
+
 		asl	#5,D0
 		ext.l	D0
 		move.l	D0,A_FPU
-		add.l	#_io_fpu+$4000,A_FPU
-*
-*	fp = &ip->idhfnc[3];
-*
+		add.l	#_io_fpu+0x4000,A_FPU
+
+|	fp = &ip->idhfnc[3];
+
 		move.l	#36,A_FP
 		add.l	IP(A6),A_FP
 		add.l	#86,A_FP
-*
-*	pt = &ip->idhpnt[fp->idfpt1];
-*
+
+|	pt = &ip->idhpnt[fp->idfpt1];
+
 		clr.l	D0
 		move.b	6(A_FP),D0
@@ -1846,9 +1846,9 @@
 		add.l	#242,D0
 		move.l	D0,PT(A6)
-*
-		.page
-*
-*	srcnum = group | fp->idfsrc;
-*
+
+		.page
+
+|	srcnum = group | fp->idfsrc;
+
 		move.w	GROUP(A6),D0
 		ext.l	D0
@@ -1857,7 +1857,7 @@
 		or	D1,D0
 		move	D0,SRCNUM(A6)
-*
-*	vep = &valents[srcnum];
-*
+
+|	vep = &valents[srcnum];
+
 		add.l	D0,D0
 		move.l	D0,D1
@@ -1866,7 +1866,7 @@
 		add.l	#_valents,D0
 		move.l	D0,VEP(A6)
-*
-*	smp = vpsms[vp];
-*
+
+|	smp = vpsms[vp];
+
 		move	VP(A6),A0
 		add.l	A0,A0
@@ -1874,104 +1874,104 @@
 		add.l	#_vpsms,A0
 		move.l	(A0),A_SMP
-*
-*	if (srcnum NE smp->sm) {
-*
+
+|	if (srcnum NE smp->sm) {
+
 		clr	D0
 		move	10(A_SMP),D0
 		cmp	SRCNUM(A6),D0
 		beq	F03L113
-*
-*		(smp->prv)->nxt = smp->nxt;
-*
+
+|		(smp->prv)->nxt = smp->nxt;
+
 		move.l	4(A_SMP),A0
 		move.l	(A_SMP),(A0)
-*
-*		(smp->nxt)->prv = smp->prv;
-*
+
+|		(smp->nxt)->prv = smp->prv;
+
 		move.l	(A_SMP),A0
 		move.l	4(A_SMP),4(A0)
-*
-*		smp->prv = (struct sment *)vep;
-*
+
+|		smp->prv = (struct sment |)vep;
+
 		move.l	VEP(A6),4(A_SMP)
-*
-*		smp->nxt = vep->nxt;
-*
+
+|		smp->nxt = vep->nxt;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),(A_SMP)
-*
-*		(vep->nxt)->prv = smp;
-*
+
+|		(vep->nxt)->prv = smp;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),A0
 		move.l	A_SMP,4(A0)
-*
-*		vep->nxt = smp;
-*
+
+|		vep->nxt = smp;
+
 		move.l	VEP(A6),A0
 		move.l	A_SMP,(A0)
-*
-*		smp->sm = srcnum;
-*
+
+|		smp->sm = srcnum;
+
 		move	SRCNUM(A6),10(A_SMP)
-*
-*	}
-*
-*	mltval = fp->idfmlt;
-*
+
+|	}
+
+|	mltval = fp->idfmlt;
+
 F03L113:	move	2(A_FP),MLTVAL(A6)
-*
-		.page
-*
-*	switch (fp->idfsrc) {
-*
+
+		.page
+
+|	switch (fp->idfsrc) {
+
 		move.b	4(A_FP),D0
 		ext.w	d0
 		cmp	#10,D0
 		bhi	F03L122
-*
+
 		asl	#2,D0
 		lea	F03L123,A0
 		movea.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*	case SM_NONE:
-*		mltval = 0;
-*
+
+|	case SM_NONE:
+|		mltval = 0;
+
 F03L116:	clr	MLTVAL(A6)
-*
-*		tsrcval = 0;
-*
+
+|		tsrcval = 0;
+
 		clr	TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F03L114
-*
-*	case SM_RAND:
-*		tsrcval = xgetran(mltval);
-*
+
+|	case SM_RAND:
+|		tsrcval = xgetran(mltval);
+
 F03L117:	move	MLTVAL(A6),(sp)
 		jsr	_xgetran
 		move	D0,TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F03L114
-*
-*	case SM_PTCH:
-*		tsrcval = pch;
-*
+
+|	case SM_PTCH:
+|		tsrcval = pch;
+
 F03L118:	move	PCH(A6),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F03L114
-*
-		.page
-*
-*	case SM_FREQ:
-*		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|	case SM_FREQ:
+|		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
+
 F03L119:	move	PCH(A6),D0
 		asr	#7,D0
@@ -1981,67 +1981,67 @@
 		add.l	#_ptoftab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F03L114
-*
-*	case SM_KVEL:
-*		tsrcval = veltab[trg];
-*
+
+|	case SM_KVEL:
+|		tsrcval = veltab[trg];
+
 F03L120:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_veltab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F03L114
-*
-*	case SM_KPRS:
-*		tsrcval = prstab[trg];
-*
+
+|	case SM_KPRS:
+|		tsrcval = prstab[trg];
+
 F03L121:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_prstab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F03L114
-*
-*	default:
-*		tsrcval = vep->val;
-*
+
+|	default:
+|		tsrcval = vep->val;
+
 F03L122:	move.l	VEP(A6),A0
 		move	8(A0),TSRCVAL(A6)
-*
-*	}
-*
-		.page
-*
-*		srcval = addpch(tsrcval, 0);
-*
+
+|	}
+
+		.page
+
+|		srcval = addpch(tsrcval, 0);
+
 F03L114:	move.w	TSRCVAL(A6),D0
 		ext.l	D0
 		asr.l	#5,D0
-*		sub.l	#500,D0
+|		sub.l	#500,D0
 		asl.l	#LSPCH,D0
 		cmp.l	#PITCHMAX,D0
 		ble	F03L129A
-*
+
 		move.l	#PITCHMAX,D0
 
 F03L129A:	move	D0,SRCVAL(A6)
-*
-		.page
-*
-*	if (pt->ipvsrc) {
-*
+
+		.page
+
+|	if (pt->ipvsrc) {
+
 F03L124:	move.l	PT(A6),A0
 		tst.b	6(A0)
 		beq	F03L136
-*
-*		switch (pt->ipvsrc) {
-*
+
+|		switch (pt->ipvsrc) {
+
 		move.l	PT(A6),A0
 		move.b	6(A0),D0
@@ -2050,13 +2050,13 @@
 		cmp	#9,D0
 		bhi	F03L144
-*
+
 		asl	#2,D0
 		lea	F03L145,A0
 		move.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*		case SM_RAND:
-*			ltmp = xgetran(pt_>ipvmlt);
-*
+
+|		case SM_RAND:
+|			ltmp = xgetran(pt_>ipvmlt);
+
 F03L139:	move.l	PT(A6),A0
 		move	4(A0),(sp)
@@ -2064,24 +2064,24 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F03L137
-*
-*		case SM_PTCH:
-*			ltmp = pch;
-*
+
+|		case SM_PTCH:
+|			ltmp = pch;
+
 F03L140:	move	PCH(A6),A0
 		move.l	A0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F03L137
-*
-		.page
-*
-*		case SM_FREQ:
-*			ltmp = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|		case SM_FREQ:
+|			ltmp = ptoftab[(pch >> 7) & 0x00FF];
+
 F03L141:	move	PCH(A6),D0
 		asr	#7,D0
@@ -2093,12 +2093,12 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F03L137
-*
-*		case SM_KVEL:
-*			ltmp = veltab[trg];
-*
+
+|		case SM_KVEL:
+|			ltmp = veltab[trg];
+
 F03L142:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -2107,14 +2107,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F03L137
-*
-		.page
-*
-*		case SM_KPRS:
-*			ltmp = prstab[trg];
-*
+
+		.page
+
+|		case SM_KPRS:
+|			ltmp = prstab[trg];
+
 F03L143:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -2123,14 +2123,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F03L137
-*
-		.page
-*
-*		default:
-*			ltmp = valents[group | pt->ipvsrc].val;
-*
+
+		.page
+
+|		default:
+|			ltmp = valents[group | pt->ipvsrc].val;
+
 F03L144:	move.l	PT(A6),A0
 		clr.l	D0
@@ -2146,12 +2146,12 @@
 		move	8(A0,A1.l),D0
 		move.l	D0,LTMP(A6)
-*
-*		}
-*
-*
-		.page
-*
-*		ltmp = (ltmp * pt->ipvmlt) >> 15;
-*
+
+|		}
+
+
+		.page
+
+|		ltmp = (ltmp | pt->ipvmlt) >> 15;
+
 F03L137:	move.l	PT(A6),A0
 		move.w	4(A0),D0
@@ -2161,52 +2161,52 @@
 		asr.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		ltmp += (long)pt->ipval;
-*
+
+|		ltmp += (long)pt->ipval;
+
 		move.l	PT(A6),A0
 		move	2(A0),D0
 		ext.l	D0
 		add.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F03L146
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F03L147
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F03L146:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F03L147
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		tfpval = (short)ltmp;
-*
+
+|		tfpval = (short)ltmp;
+
 F03L147:	move.w	LTMP+2(A6),TFPVAL(A6)
 		bra	F03L149
-*
-*	} else {
-*
-*		tfpval = pt->ipval;
-*
+
+|	} else {
+
+|		tfpval = pt->ipval;
+
 F03L136:	move.l	PT(A6),A0
 		move	2(A0),TFPVAL(A6)
-*
-*	}
-*
-		.page
-*
-*	fpmant = (((long)pt->iptom & 0x0000FFF0L)
-*		* ((long)timemlt & 0x0000FFFFL)) >> 15;
-*
+
+|	}
+
+		.page
+
+|	fpmant = (((long)pt->iptom & 0x0000FFF0L)
+|		| ((long)timemlt & 0x0000FFFFL)) >> 15;
+
 F03L149:	move.l	PT(A6),A0
 		move.w	(A0),D0
 		move.w	D0,D2
-		andi.w	#$FFF0,D0
+		andi.w	#0xFFF0,D0
 		move.w	_timemlt,D1
 		muls	D1,D0
@@ -2214,22 +2214,22 @@
 		asr.l	D1,D0
 		move	D0,R_FPMANT
-*
-*	fpexp = expbit[pt->iptim & 0x000F];
-*
-		and	#$000F,D2
+
+|	fpexp = expbit[pt->iptim & 0x000F];
+
+		and	#0x000F,D2
 		move	D2,A0
 		add.l	A0,A0
 		add.l	#_expbit,A0
 		move	(A0),R_FPEXP
-*
-		.page
-*
-*		fp->idfpch = ip->idhos4v;
-*
+
+		.page
+
+|		fp->idfpch = ip->idhos4v;
+
 F03L157:	move.l	IP(A6),A0
 		move.w	84(A0),(A_FP)
-*
-*		fpval = addpch(tfpval, fp->idfpch);
-*
+
+|		fpval = addpch(tfpval, fp->idfpch);
+
 		move.w	TFPVAL(A6),D1
 		ext.l	D1
@@ -2242,117 +2242,117 @@
 		cmp.l	#PITCHMAX,D0
 		ble	F03L157A
-*
+
 		move.l	#PITCHMAX,D0
-*
+
 F03L157A:	move	D0,R_FPVAL
-*
-		.page
-*
+
+		.page
+
 		move.b	5(A_FP),D0
 		ext.w	D0
 		sub.w	#1,D0
 		movea.l	PT(A6),A0
-*
-*	oldi = setipl(FPU_DI);
-*
+
+|	oldi = setipl(FPU_DI);
+
 		move	sr,OLDI(A6)
 		move	#FPU_DI,sr
-*
+
 F03L168:	clr.b	10(A0)
 		add.l	#12,a0
 		dbra	D0,F03L168
-*
-		.page
-*
-*	fp->idftmd ^= I_NVBITS;
-*
+
+		.page
+
+|	fp->idftmd ^= I_NVBITS;
+
 F03L165:	eor.b	#24,7(A_FP)
-*
-*	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
-*
+
+|	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
+
 		move.b	7(A_FP),R_FPCTL
 		and	#28,R_FPCTL
 		or	#3,R_FPCTL
-*
-*	fp->idfcpt = fp->idfpt1;
-*
+
+|	fp->idfcpt = fp->idfpt1;
+
 		move.b	6(A_FP),8(A_FP)
-*
-*	fp->idftmd |= I_ACTIVE;
-*
+
+|	fp->idftmd |= I_ACTIVE;
+
 		or.b	#2,7(A_FP)
-*
-*	fp->idftrf = trg;
-*
+
+|	fp->idftrf = trg;
+
 		move	TRG(A6),10(A_FP)
-*
-*	*(fpu + (long)FPU_TCV1) = srcval;
-*
-		move	SRCVAL(A6),$8(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TCV1) = srcval;
+
+		move	SRCVAL(A6),0x8(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TSF1) = mltval;
-*
-		move	MLTVAL(A6),$A(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TSF1) = mltval;
+
+		move	MLTVAL(A6),0xA(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TMNT) = fpmant;
-*
-		move	R_FPMANT,$14(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TMNT) = fpmant;
+
+		move	R_FPMANT,0x14(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TEXP) = fpexp;
-*
-		move	R_FPEXP,$16(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TEXP) = fpexp;
+
+		move	R_FPEXP,0x16(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-		.page
-*
-*	if (fp->idftmd & I_VNSUBN)
-*
+
+		.page
+
+|	if (fp->idftmd & I_VNSUBN)
+
 		btst	#3,7(A_FP)
 		beq	F03L169
-*
-*		*(fpu + (long)FPU_TNV1) = fpval;
-*
-		move	R_FPVAL,$1C(A_FPU)
+
+|		|(fpu + (long)FPU_TNV1) = fpval;
+
+		move	R_FPVAL,0x1C(A_FPU)
 		bra	F03L170
-*
-*	else
-*		*(fpu + (long)FPU_TNV0) = fpval;
-*
+
+|	else
+|		|(fpu + (long)FPU_TNV0) = fpval;
+
 F03L169:	move	R_FPVAL,2(A_FPU)
-*
-*	++octype;
-*
+
+|	++octype;
+
 F03L170:	add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TCTL) = fpctl;
-*
+
+|	|(fpu + (long)FPU_TCTL) = fpctl;
+
 		move	R_FPCTL,(A_FPU)
-*
-*	setipl(oldi);
-*
+
+|	setipl(oldi);
+
 		move	OLDI(A6),sr
-*
-		.page
-* ------------------------------------------------------------------------------
-* Start function 4 -- Filtr
-* ------------------------------------------------------------------------------
-*
-*    if (ip->idhfnc[4].idftmd & I_TM_KEY) {
-*
+
+		.page
+| ------------------------------------------------------------------------------
+| Start function 4 -- Filtr
+| ------------------------------------------------------------------------------
+
+|    if (ip->idhfnc[4].idftmd & I_TM_KEY) {
+
 FN04:		move.l	IP(A6),A0
 		move.b	141(A0),D0
@@ -2361,33 +2361,33 @@
 		btst	#0,D0
 		bne	FN04A
-*
+
 		jmp	FN05
-*
-*	vp = (vce << 4) + 10;
-*
+
+|	vp = (vce << 4) + 10;
+
 FN04A:		move	VCE(A6),D0
 		asl	#4,D0
 		add.w	#10,D0
 		move	D0,VP(A6)
-*
-*	fpu = io_fpu + FPU_OFNC + (vp << 4);
-*
+
+|	fpu = io_fpu + FPU_OFNC + (vp << 4);
+
 		asl	#5,D0
 		ext.l	D0
 		move.l	D0,A_FPU
-		add.l	#_io_fpu+$4000,A_FPU
-*
-*	fp = &ip->idhfnc[4];
-*
+		add.l	#_io_fpu+0x4000,A_FPU
+
+|	fp = &ip->idhfnc[4];
+
 		move.l	#48,A_FP
 		add.l	IP(A6),A_FP
 		add.l	#86,A_FP
-*
-		.page
-*
-*	Added code:
-*
-*		output resonance via table lookup with FPU interrupts off
-*
+
+		.page
+
+|	Added code:
+
+|		output resonance via table lookup with FPU interrupts off
+
 		lea	_rsntab,A0
 		clr.w	D0
@@ -2401,16 +2401,16 @@
 		ext.l	D0
 		move.l	D0,A0
-		add.l	#_io_fpu+$4000,A0
+		add.l	#_io_fpu+0x4000,A0
 		move.w	sr,OLDI(A6)
 		move.w	#FPU_DI,sr
 		move.w	d1,2(A0)
 		add.w	#1,OCTYPE(A6)
-		move.w	d1,$1C(A0)
+		move.w	d1,0x1C(A0)
 		add.w	#1,OCTYPE(A6)
-		move.w	#$0015,(A0)
+		move.w	#0x0015,(A0)
 		move.w	OLDI(A6),sr
-*
-*	pt = &ip->idhpnt[fp->idfpt1];
-*
+
+|	pt = &ip->idhpnt[fp->idfpt1];
+
 		clr.l	D0
 		move.b	6(A_FP),D0
@@ -2422,9 +2422,9 @@
 		add.l	#242,D0
 		move.l	D0,PT(A6)
-*
-		.page
-*
-*	srcnum = group | fp->idfsrc;
-*
+
+		.page
+
+|	srcnum = group | fp->idfsrc;
+
 		move.w	GROUP(A6),D0
 		ext.l	D0
@@ -2433,7 +2433,7 @@
 		or	D1,D0
 		move	D0,SRCNUM(A6)
-*
-*	vep = &valents[srcnum];
-*
+
+|	vep = &valents[srcnum];
+
 		add.l	D0,D0
 		move.l	D0,D1
@@ -2442,7 +2442,7 @@
 		add.l	#_valents,D0
 		move.l	D0,VEP(A6)
-*
-*	smp = vpsms[vp];
-*
+
+|	smp = vpsms[vp];
+
 		move	VP(A6),A0
 		add.l	A0,A0
@@ -2450,104 +2450,104 @@
 		add.l	#_vpsms,A0
 		move.l	(A0),A_SMP
-*
-*	if (srcnum NE smp->sm) {
-*
+
+|	if (srcnum NE smp->sm) {
+
 		clr	D0
 		move	10(A_SMP),D0
 		cmp	SRCNUM(A6),D0
 		beq	F04L113
-*
-*		(smp->prv)->nxt = smp->nxt;
-*
+
+|		(smp->prv)->nxt = smp->nxt;
+
 		move.l	4(A_SMP),A0
 		move.l	(A_SMP),(A0)
-*
-*		(smp->nxt)->prv = smp->prv;
-*
+
+|		(smp->nxt)->prv = smp->prv;
+
 		move.l	(A_SMP),A0
 		move.l	4(A_SMP),4(A0)
-*
-*		smp->prv = (struct sment *)vep;
-*
+
+|		smp->prv = (struct sment |)vep;
+
 		move.l	VEP(A6),4(A_SMP)
-*
-*		smp->nxt = vep->nxt;
-*
+
+|		smp->nxt = vep->nxt;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),(A_SMP)
-*
-*		(vep->nxt)->prv = smp;
-*
+
+|		(vep->nxt)->prv = smp;
+
 		move.l	VEP(A6),A0
 		move.l	(A0),A0
 		move.l	A_SMP,4(A0)
-*
-*		vep->nxt = smp;
-*
+
+|		vep->nxt = smp;
+
 		move.l	VEP(A6),A0
 		move.l	A_SMP,(A0)
-*
-*		smp->sm = srcnum;
-*
+
+|		smp->sm = srcnum;
+
 		move	SRCNUM(A6),10(A_SMP)
-*
-*	}
-*
-*	mltval = fp->idfmlt;
-*
+
+|	}
+
+|	mltval = fp->idfmlt;
+
 F04L113:	move	2(A_FP),MLTVAL(A6)
-*
-		.page
-*
-*	switch (fp->idfsrc) {
-*
+
+		.page
+
+|	switch (fp->idfsrc) {
+
 		move.b	4(A_FP),D0
 		ext.w	d0
 		cmp	#10,D0
 		bhi	F04L122
-*
+
 		asl	#2,D0
 		lea	F04L123,A0
 		movea.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*	case SM_NONE:
-*		mltval = 0;
-*
+
+|	case SM_NONE:
+|		mltval = 0;
+
 F04L116:	clr	MLTVAL(A6)
-*
-*		tsrcval = 0;
-*
+
+|		tsrcval = 0;
+
 		clr	TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F04L114
-*
-*	case SM_RAND:
-*		tsrcval = xgetran(mltval);
-*
+
+|	case SM_RAND:
+|		tsrcval = xgetran(mltval);
+
 F04L117:	move	MLTVAL(A6),(sp)
 		jsr	_xgetran
 		move	D0,TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F04L114
-*
-*	case SM_PTCH:
-*		tsrcval = pch;
-*
+
+|	case SM_PTCH:
+|		tsrcval = pch;
+
 F04L118:	move	PCH(A6),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F04L114
-*
-		.page
-*
-*	case SM_FREQ:
-*		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|	case SM_FREQ:
+|		tsrcval = ptoftab[(pch >> 7) & 0x00FF];
+
 F04L119:	move	PCH(A6),D0
 		asr	#7,D0
@@ -2557,45 +2557,45 @@
 		add.l	#_ptoftab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F04L114
-*
-*	case SM_KVEL:
-*		tsrcval = veltab[trg];
-*
+
+|	case SM_KVEL:
+|		tsrcval = veltab[trg];
+
 F04L120:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_veltab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F04L114
-*
-*	case SM_KPRS:
-*		tsrcval = prstab[trg];
-*
+
+|	case SM_KPRS:
+|		tsrcval = prstab[trg];
+
 F04L121:	move	TRG(A6),A0
 		add.l	A0,A0
 		add.l	#_prstab,A0
 		move	(A0),TSRCVAL(A6)
-*
-*		break;
-*
+
+|		break;
+
 		bra	F04L114
-*
-*	default:
-*		tsrcval = vep->val;
-*
+
+|	default:
+|		tsrcval = vep->val;
+
 F04L122:	move.l	VEP(A6),A0
 		move	8(A0),TSRCVAL(A6)
-*
-*	}
-*
-		.page
-*
-*		ltmp = ((long)tsrcval >> 1) + ((long)tsrcval >> 2);
-*
+
+|	}
+
+		.page
+
+|		ltmp = ((long)tsrcval >> 1) + ((long)tsrcval >> 2);
+
 F04L114:	move	TSRCVAL(A6),D0
 		ext.l	D0
@@ -2606,37 +2606,37 @@
 		add.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F04L131
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F04L132
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F04L131:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F04L132
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		srcval = (short)ltmp;
-*
+
+|		srcval = (short)ltmp;
+
 F04L132:	move.l	LTMP(A6),D0
 		move	D0,SRCVAL(A6)
-*
-		.page
-*
-*	if (pt->ipvsrc) {
-*
+
+		.page
+
+|	if (pt->ipvsrc) {
+
 F04L124:	move.l	PT(A6),A0
 		tst.b	6(A0)
 		beq	F04L136
-*
-*		switch (pt->ipvsrc) {
-*
+
+|		switch (pt->ipvsrc) {
+
 		move.l	PT(A6),A0
 		move.b	6(A0),D0
@@ -2645,13 +2645,13 @@
 		cmp	#9,D0
 		bhi	F04L144
-*
+
 		asl	#2,D0
 		lea	F04L145,A0
 		move.l	0(A0,D0.W),A0
 		jmp	(A0)
-*
-*		case SM_RAND:
-*			ltmp = xgetran(pt_>ipvmlt);
-*
+
+|		case SM_RAND:
+|			ltmp = xgetran(pt_>ipvmlt);
+
 F04L139:	move.l	PT(A6),A0
 		move	4(A0),(sp)
@@ -2659,24 +2659,24 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F04L137
-*
-*		case SM_PTCH:
-*			ltmp = pch;
-*
+
+|		case SM_PTCH:
+|			ltmp = pch;
+
 F04L140:	move	PCH(A6),A0
 		move.l	A0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F04L137
-*
-		.page
-*
-*		case SM_FREQ:
-*			ltmp = ptoftab[(pch >> 7) & 0x00FF];
-*
+
+		.page
+
+|		case SM_FREQ:
+|			ltmp = ptoftab[(pch >> 7) & 0x00FF];
+
 F04L141:	move	PCH(A6),D0
 		asr	#7,D0
@@ -2688,12 +2688,12 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F04L137
-*
-*		case SM_KVEL:
-*			ltmp = veltab[trg];
-*
+
+|		case SM_KVEL:
+|			ltmp = veltab[trg];
+
 F04L142:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -2702,14 +2702,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F04L137
-*
-		.page
-*
-*		case SM_KPRS:
-*			ltmp = prstab[trg];
-*
+
+		.page
+
+|		case SM_KPRS:
+|			ltmp = prstab[trg];
+
 F04L143:	move	TRG(A6),A0
 		add.l	A0,A0
@@ -2718,14 +2718,14 @@
 		ext.l	D0
 		move.l	D0,LTMP(A6)
-*
-*			break;
-*
+
+|			break;
+
 		bra	F04L137
-*
-		.page
-*
-*		default:
-*			ltmp = valents[group | pt->ipvsrc].val;
-*
+
+		.page
+
+|		default:
+|			ltmp = valents[group | pt->ipvsrc].val;
+
 F04L144:	move.l	PT(A6),A0
 		clr.l	D0
@@ -2741,12 +2741,12 @@
 		move	8(A0,A1.l),D0
 		move.l	D0,LTMP(A6)
-*
-*		}
-*
-*
-		.page
-*
-*		ltmp = (ltmp * pt->ipvmlt) >> 15;
-*
+
+|		}
+
+
+		.page
+
+|		ltmp = (ltmp | pt->ipvmlt) >> 15;
+
 F04L137:	move.l	PT(A6),A0
 		move.w	4(A0),D0
@@ -2756,52 +2756,52 @@
 		asr.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		ltmp += (long)pt->ipval;
-*
+
+|		ltmp += (long)pt->ipval;
+
 		move.l	PT(A6),A0
 		move	2(A0),D0
 		ext.l	D0
 		add.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F04L146
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F04L147
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F04L146:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F04L147
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		tfpval = (short)ltmp;
-*
+
+|		tfpval = (short)ltmp;
+
 F04L147:	move.w	LTMP+2(A6),TFPVAL(A6)
 		bra	F04L149
-*
-*	} else {
-*
-*		tfpval = pt->ipval;
-*
+
+|	} else {
+
+|		tfpval = pt->ipval;
+
 F04L136:	move.l	PT(A6),A0
 		move	2(A0),TFPVAL(A6)
-*
-*	}
-*
-		.page
-*
-*	fpmant = (((long)pt->iptom & 0x0000FFF0L)
-*		* ((long)timemlt & 0x0000FFFFL)) >> 15;
-*
+
+|	}
+
+		.page
+
+|	fpmant = (((long)pt->iptom & 0x0000FFF0L)
+|		| ((long)timemlt & 0x0000FFFFL)) >> 15;
+
 F04L149:	move.l	PT(A6),A0
 		move.w	(A0),D0
 		move.w	D0,D2
-		andi.w	#$FFF0,D0
+		andi.w	#0xFFF0,D0
 		move.w	_timemlt,D1
 		muls	D1,D0
@@ -2809,22 +2809,22 @@
 		asr.l	D1,D0
 		move	D0,R_FPMANT
-*
-*	fpexp = expbit[pt->iptim & 0x000F];
-*
-		and	#$000F,D2
+
+|	fpexp = expbit[pt->iptim & 0x000F];
+
+		and	#0x000F,D2
 		move	D2,A0
 		add.l	A0,A0
 		add.l	#_expbit,A0
 		move	(A0),R_FPEXP
-*
-		.page
-*
-*		fp->idfpch = pch;
-*
+
+		.page
+
+|		fp->idfpch = pch;
+
 F04L158:	move	PCH(A6),(A_FP)
-*
-*		ltmp = ((long)tfpval >> 1) + ((longtfpval >>2)
-*			+ (long)fp->idfpch;
-*
+
+|		ltmp = ((long)tfpval >> 1) + ((longtfpval >>2)
+|			+ (long)fp->idfpch;
+
 		move	TFPVAL(A6),D0
 		ext.l	D0
@@ -2838,135 +2838,135 @@
 		add.l	D1,D0
 		move.l	D0,LTMP(A6)
-*
-*		if (ltmp GT (long)VALMAX)
-*			ltmp = (long)VALMAX;
-*
+
+|		if (ltmp GT (long)VALMAX)
+|			ltmp = (long)VALMAX;
+
 		cmp.l	#VALMAX,LTMP(A6)
 		ble	F04L159
-*
+
 		move.l	#VALMAX,LTMP(A6)
 		bra	F04L160
-*
-*		else if (ltmp LT (long)VALMIN)
-*			ltmp = (long)VALMIN;
-*
+
+|		else if (ltmp LT (long)VALMIN)
+|			ltmp = (long)VALMIN;
+
 F04L159:	cmp.l	#VALMIN,LTMP(A6)
 		bge	F04L160
-*
+
 		move.l	#VALMIN,LTMP(A6)
-*
-*		fpval = (short)ltmp;
-*
+
+|		fpval = (short)ltmp;
+
 F04L160:	move.l	LTMP(A6),D0
 		move	D0,R_FPVAL
-*
-		.page
-*
+
+		.page
+
 		move.b	5(A_FP),D0
 		ext.w	D0
 		sub.w	#1,D0
 		movea.l	PT(A6),A0
-*
-*	oldi = setipl(FPU_DI);
-*
+
+|	oldi = setipl(FPU_DI);
+
 		move	sr,OLDI(A6)
 		move	#FPU_DI,sr
-*
+
 F04L168:	clr.b	10(A0)
 		add.l	#12,a0
 		dbra	D0,F04L168
-*
-		.page
-*
-*	fp->idftmd ^= I_NVBITS;
-*
+
+		.page
+
+|	fp->idftmd ^= I_NVBITS;
+
 F04L165:	eor.b	#24,7(A_FP)
-*
-*	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
-*
+
+|	fpctl = (fp->idftmd & (I_NRATIO | I_NVBITS)) | 0x0003;
+
 		move.b	7(A_FP),R_FPCTL
 		and	#28,R_FPCTL
 		or	#3,R_FPCTL
-*
-*	fp->idfcpt = fp->idfpt1;
-*
+
+|	fp->idfcpt = fp->idfpt1;
+
 		move.b	6(A_FP),8(A_FP)
-*
-*	fp->idftmd |= I_ACTIVE;
-*
+
+|	fp->idftmd |= I_ACTIVE;
+
 		or.b	#2,7(A_FP)
-*
-*	fp->idftrf = trg;
-*
+
+|	fp->idftrf = trg;
+
 		move	TRG(A6),10(A_FP)
-*
-*	*(fpu + (long)FPU_TCV1) = srcval;
-*
-		move	SRCVAL(A6),$8(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TCV1) = srcval;
+
+		move	SRCVAL(A6),0x8(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TSF1) = mltval;
-*
-		move	MLTVAL(A6),$A(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TSF1) = mltval;
+
+		move	MLTVAL(A6),0xA(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TMNT) = fpmant;
-*
-		move	R_FPMANT,$14(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TMNT) = fpmant;
+
+		move	R_FPMANT,0x14(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TEXP) = fpexp;
-*
-		move	R_FPEXP,$16(A_FPU)
-*
-*	++octype;
-*
+
+|	|(fpu + (long)FPU_TEXP) = fpexp;
+
+		move	R_FPEXP,0x16(A_FPU)
+
+|	++octype;
+
 		add	#1,OCTYPE(A6)
-*
-		.page
-*
-*	if (fp->idftmd & I_VNSUBN)
-*
+
+		.page
+
+|	if (fp->idftmd & I_VNSUBN)
+
 		btst	#3,7(A_FP)
 		beq	F04L169
-*
-*		*(fpu + (long)FPU_TNV1) = fpval;
-*
-		move	R_FPVAL,$1C(A_FPU)
+
+|		|(fpu + (long)FPU_TNV1) = fpval;
+
+		move	R_FPVAL,0x1C(A_FPU)
 		bra	F04L170
-*
-*	else
-*		*(fpu + (long)FPU_TNV0) = fpval;
-*
+
+|	else
+|		|(fpu + (long)FPU_TNV0) = fpval;
+
 F04L169:	move	R_FPVAL,2(A_FPU)
-*
-*	++octype;
-*
+
+|	++octype;
+
 F04L170:	add	#1,OCTYPE(A6)
-*
-*	*(fpu + (long)FPU_TCTL) = fpctl;
-*
+
+|	|(fpu + (long)FPU_TCTL) = fpctl;
+
 		move	R_FPCTL,(A_FPU)
-*
-*	setipl(oldi);
-*
+
+|	setipl(oldi);
+
 		move	OLDI(A6),sr
-*
-		.page
-* ------------------------------------------------------------------------------
-* Start function 5 -- Loctn
-* ------------------------------------------------------------------------------
-*
-*    if (ip->idhfnc[5].idftmd & I_TM_KEY) {
-*
+
+		.page
+| ------------------------------------------------------------------------------
+| Start function 5 -- Loctn
+| ------------------------------------------------------------------------------
+
+|    if (ip->idhfnc[5].idftmd & I_TM_KEY) {
+
 FN05:		move.l	IP(A6),A0
 		move.b	153(A0),D0
